package test.action.sample;

import javax.annotation.Resource;


import org.seasar.struts.annotation.ActionForm;
import org.seasar.struts.annotation.Execute;

import test.dto.sample.TestDto41;
import test.dto.sample.TestDto42;
import test.form.sample.Sample4Form;

public class Sample4Action {

    @ActionForm
    @Resource
    protected Sample4Form sample4Form;

    @Execute(validator = false)
    public String index() {
        
        if(this.sample4Form == null){
            this.sample4Form = new Sample4Form();
        }        

        TestDto41 testDto41_1 = new TestDto41();
        TestDto41 testDto41_2 = new TestDto41();
        
        testDto41_1.setId("1");
        testDto41_2.setId("2");
        
        TestDto42 testDto42_1 = new TestDto42();
        TestDto42 testDto42_2 = new TestDto42();
        TestDto42 testDto42_3 = new TestDto42();
        TestDto42 testDto42_4 = new TestDto42();
        
        testDto42_1.setWrite("1_1");
        testDto42_2.setWrite("1_2");
        testDto42_3.setWrite("2_1");
        testDto42_4.setWrite("2_2");
        
        testDto41_1.setTestDto42Array(new TestDto42[]{testDto42_1,testDto42_2});
        testDto41_2.setTestDto42Array(new TestDto42[]{testDto42_3,testDto42_4});
        
        this.sample4Form.setTestDto41Array(new test.dto.sample.TestDto41[]{testDto41_1,testDto41_2});

        
        return "/sample/sample4.jsp";
    }

    @Execute(validator = false)
    public String execute1() {
        return "/sample/sample4.jsp";
    }
    
}
